if not ModCore then
	log("[ERROR] Unable to find ModCore from BeardLib! Is BeardLib installed correctly?")
	return
end

G36ForDHSCore = G36ForDHSCore or class(ModCore)

function G36ForDHSCore:init()
	--Calling the base function for init from ModCore
	--self_tbl, config path, auto load modules, auto post init modules
	self.super.init(self, ModPath .. "config.xml", true, true)
end

if not _G.G36ForDHS then
	local success, err = pcall(function() G36ForDHSCore:new() end)
	if not success then
		log("[ERROR] An error occured on the initialization of Rain On All Heists. " .. tostring(err))
	end
end